#version 330                                                                        
                                                                                    
layout (location = 0) in float Type;                                                
layout (location = 1) in vec3 Position;                                             
layout (location = 2) in vec3 Velocity;                                             
layout (location = 3) in float Age;

uniform mat4 modelMatrix; 
uniform mat4 V;  

out vec2 coords;                    

vec2 getCurrentFrame(int frame) {
	int col = frame % 4;
	int row = frame / 4;

	return vec2(0.25*col, 0.25*row);
}
                                                                                    
void main()                                                                         
{                                                                                   
    coords = getCurrentFrame(int(Age/500));
	gl_Position = modelMatrix * vec4(Position, 1.0);
}

