#version 330 core
layout(location = 0) in vec3 pos;
layout(location = 1) in vec3 color;
layout(location = 2) in vec3 normal;
layout(location = 3) in vec3 tangent;
layout(location = 4) in vec3 bitangent;
layout(location = 5) in vec2 uv;

out vec3 vColor;
out vec3 vNormal;
out vec2 vUv;

void main(){

	vColor = color;
	vUv = uv;

	vNormal = normal;

	gl_Position = vec4(pos, 1.0);
}